import { DependencyRequesterFunction } from './DependencyManager';
import { SQS, SNS } from 'aws-sdk';
import { SNSResource } from './Resources';
export declare type ClientOptions = {
    mockClient: boolean;
};
export declare type SNSMessage = {
    stringContent: string;
    attributes?: SNS.MessageAttributeMap;
};
export declare type SNSPublish = {
    topic: SNSResource;
    message: SNSMessage;
    dependencyIdentifier?: string;
    getDependencies: DependencyRequesterFunction;
};
export declare class Client {
    private options;
    private dependencyManager;
    private accountID;
    sqsClient: SQS;
    snsClient: SNS;
    constructor(options: ClientOptions);
    isMockClient(): boolean;
    publish(publishCommand: SNSPublish): Promise<void>;
    getAccountID(): Promise<string>;
}
