import { Client } from './Client';
export declare function generateARN(service: 'sqs' | 'sns', region: string, accountID: string, resourceName: string): string;
export declare type ResourceList = Resource[];
declare class Resource {
    constructor();
    toString(): string;
    ensureAndCreate(client: Client): Promise<void>;
}
export declare class SNSResource extends Resource {
    topicName: string;
    region: string;
    constructor(topicName: string, region: string);
    toString(): string;
    ensureAndCreate(client: Client): Promise<void>;
}
export declare class SQSResource extends Resource {
    queueName: string;
    region: string;
    policyType: 'none' | 'all-sns';
    constructor(queueName: string, region: string, policyType: 'none' | 'all-sns');
    toString(): string;
    ensureAndCreate(client: Client): Promise<void>;
}
export declare class TopicSubscriptionResource extends Resource {
    sns: SNSResource;
    sqs: SQSResource;
    filterPolicy: any | null;
    constructor(sns: SNSResource, sqs: SQSResource, filterPolicy: any | null);
    toString(): string;
    ensureAndCreate(client: Client): Promise<void>;
}
export {};
